Revoke Refresh Token

Revokes the specified Refresh Token.

GET
/identity/v2/manage/account/access_token/refresh/revoke

Revokes the specified Refresh Token.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Query Parameters

refresh_token*string

Refresh Token

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.loginradius.com/identity/v2/manage/account/access_token/refresh/revoke?refresh_token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
{
  "IsDeleted": true
}

{
  "ErrorCode": 1337,
  "Message": "Refresh token is missing from social ID provider",
  "Description": "The ID Provider refresh token is required to generate the LoginRadius access token, please use the correct token in order to process this request."
}

{
  "ErrorCode": 902,
  "Message": "The API secret is unauthorized",
  "Description": "The provided LoginRadius API secret is invalid or is not authorized, please use a valid or authorized LoginRadius API secret or check the API secret for your LoginRadius account."
}

{
  "ErrorCode": 1217,
  "Message": "Refresh token invalid",
  "Description": "LoginRadius refresh token is invalid."
}